Qt 5.7 | Qt Sensors | C++ Classes | QTiltSensor

Qt 5.7.1 Reference Documentation

# QTiltSensor Class

The QTiltSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QTiltSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QTiltSensor(QObject *parent = Q_NULLPTR)
| ~QTiltSensor()
void | calibrate()
QTiltReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QTiltSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.QMetaObject::invokeMethod(backend(), "calibrate");

This class also features a reading() function that returns a QTiltReading instead of a QSensorReading.

For details about how the sensor works, see QTiltReading.

See also QTiltReading.

## Member Function Documentation

### QTiltSensor::QTiltSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### QTiltSensor::~QTiltSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### void QTiltSensor::calibrate()

Calibrates the tilt sensor. Uses the current tilt angles as 0.

### QTiltReading *QTiltSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().